clear all, close all

modids = {'mod1','mod2','mod3','mod4','mod5','mod6c','mod7c','mod8','mod_ucsv_gh','mod4_sv'}; path = 'results/';
%modids = {'mod_ucsv_gh'}; path = 'results/';
itrue = 3;
itoshow = itrue;
hhh = [1 2 4]; % horizons
all_mse = nan(length(modids),length(hhh)); all_logscores = nan(length(modids),length(hhh));
for modnr = 1:9
    modid = modids{modnr}; disp(modid)
    
    load([path modid '_rec'])
    modname = modid;
    
    i_start = 1; % vintage at which we start evaluation, 1 (2002q3) or 19 (2007q1)
    i_end = nsamples;
    disp(['Evaluation from vintage ' tq2datestr(time(S(i_start))) ' to vintage ' tq2datestr(time(S(i_end)))])
    
    %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
    % Printout
    
    disp(modid), disp(' ')
    in.cnames = strvcat(strseq('h=',hhh));
    in.rnames = strvcat('eval.against','vintage+8','v2015Q4','v2016q4'); in.rnames = in.rnames(1:size(draws.q_err,2)+1,:);
    in.rnames = in.rnames([1 itoshow+1],:);
    
    % MSE
    q_err = nan(size(draws.q_err,1),size(draws.q_err,2),nsamples);
    for j = 1:nsamples
        q_err(:,:,j) = drawsRall(j).q_err;
    end
    mse = nanmean(q_err(hhh,:,i_start:i_end).^2,3)';
    disp('mse')
    mprint(mse(itoshow,:),in)
    
    % logscores
    logscores = nan(size(draws.q_logscores,1),size(draws.q_logscores,2),nsamples);
    for j = 1:nsamples
        logscores(:,:,j) = drawsRall(j).q_logscores;
    end
    mlogscore = nanmean(logscores(hhh,:,i_start:i_end),3)';
    disp('logscores')
    mprint(mlogscore(itoshow,:),in)
    
    if isfield(drawsRall,'q_logscores1') && 0
        logscores = nan(size(draws.q_logscores,1),size(draws.q_logscores,2),nsamples);
        for j = 1:nsamples
            logscores(:,:,j) = drawsRall(j).q_logscores1;
        end
        disp('logscores')
        mprint(nanmean(logscores(hhh,:,i_start:i_end),3)',in)
    end
    if isfield(drawsRall,'q_logscores2')
        logscores = nan(size(draws.q_logscores,1),size(draws.q_logscores,2),nsamples);
        for j = 1:nsamples
            logscores(:,:,j) = drawsRall(j).q_logscores2;
        end
        disp('logscores')
        mprint(nanmean(logscores(hhh,:,i_start:i_end),3)',in)
    end
    disp('n. of forecasts')
    mprint(sum(~isnan(q_err(hhh,itoshow,i_start:i_end)),3)',in)
    
    % store for the table that compares across models
    all_mse(modnr,:) = mse(itrue,:); all_logscores(modnr,:) = mlogscore(itrue,:);
    
    %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
    % Plots
    if 1
        q_true = nan(size(draws.q_true,1),size(draws.q_true,2),nsamples);
        for j = 1:nsamples
            q_true(:,:,j) = drawsRall(j).q_true;
        end
        
        q_med = [drawsRall.q_med];
        
        ndraws = size(drawsRall(1).obs,3);
        drawsRall(end).obs = drawsRall(end).obs(:,:,1:ndraws); % the last simulation was longer, so need to discard the additional draws
        drawsobs = reshape([drawsRall.obs],prior.R+prior.H+1,[],nsamples,ndraws);
        drawsobs = squeeze(drawsobs(prior.R+1:end,1,:,:));
        drawsq = nan(prior.H+1,nsamples,ndraws);
        for i = 1:ndraws
            drawsq(:,:,i) = draws.A*drawsobs(:,:,i);
        end
        quantileq = quantile(drawsq,[0.5 0.16 0.84],3);
        
        for HH = [4]
            
            toplot_true = squeeze(q_true(HH,:,:));
            toplot_med = squeeze(q_med(HH,:));
            toplot = squeeze(quantileq(HH,:,:))';
            
            tt = time(S + HH - 1);
            
            % adjust the start and end of the plot
            i_endplt = i_end;
            toplot_true = toplot_true(:,i_start:i_endplt);
            toplot_med = toplot_med(:,i_start:i_endplt);
            toplot = toplot(:,i_start:i_endplt);
            tt = tt(i_start:i_endplt);
            disp(['forecast plot from ' tq2datestr(tt(1)) ', vintage ' num2str(i_start)])
            disp(['                to ' tq2datestr(tt(end)) ', vintage ' num2str(i_endplt)])
            
            if 1
                h = figure('Position',[500 500 350 200]);
                hold on
                fill([tt fliplr(tt)], [toplot(2,:) fliplr(toplot(3,:))], [0.6 0.6 1], 'EdgeColor', 'none')
                plot(tt, toplot(1,:), '-b', 'LineWidth', 1)
                %plot(tt, toplot_med, '--r')
                plot(tt, toplot_true(itrue,:), '-k', 'LineWidth', 3)
                %plot(tt, toplot_true(1,:), '-r', 'LineWidth', 1)
                hold off
                set(gca, 'Ytick', -1:1:3)
                grid on
                axis([tt(1)-1/8 tt(end)+1/8 -1 3])
                saveTightFigure(h,[modid '_f_h' num2str(HH)],'pdf')
            end
        end
    end
    
end

