modids = {'mod1','mod2','mod3','mod4','mod5','mod6c','mod7c','mod8'}; path = 'results/';
modnames = {'Model 1','Model 2','Model 3','Model 4','Model 5','Model 6','Model 7','Model 8'};

load([path modids{1} '_rec']);
ttstates = time(prior.Ttr+1:prior.S);
ittstates = 1:(prior.S-prior.Ttr);
mgaps = nan(length(ttstates),8);
mgaps(:,1) = quantile(draws.states(ittstates,prior.igt,:), 0.5, 3);
for modnr = 2:8
    load([path modids{modnr} '_rec']), if isfield(draws,'lnmarglik'), disp([modid ' ' num2str(draws.lnmarglik)]); end
    mgaps(:,modnr) = quantile(draws.states(ittstates,prior.igt,:), 0.5, 3);
end

set(0,'defaultlinelinewidth',1)
h = figure('Units','centimeters','Position',[5 3 20 17]);%,'renderer','painters');
hold on
plot(ttstates, mgaps(:,1), '-b')
plot(ttstates, mgaps(:,2), '--b')
plot(ttstates, mgaps(:,3), '-.b')
plot(ttstates, mgaps(:,4), '-k', 'LineWidth', 2)
plot(ttstates, mgaps(:,5), ':k', 'LineWidth', 1)
plot(ttstates, mgaps(:,6), '-dk', 'LineWidth', 1, 'MarkerSize', 4)
plot(ttstates, mgaps(:,7), '-ok', 'LineWidth', 1, 'MarkerSize', 4)
plot(ttstates, mgaps(:,8), '.b', 'LineWidth', 1, 'MarkerSize', 10)
plot(ttstates, zeros(length(ttstates),1), '-k', 'LineWidth',0.5)
hold off
grid on
legend_h = legend(modnames,'Location','South','Interpreter','none');
xlim([fix(ttstates(1)) ceil(ttstates(end))])

saveTightFigure(h, 'fig1','pdf')
