% plot h and g over time
clear all, close all

path = 'results/';
modid = 'mod4_sv_rec'; disp(modid)
load([path modid])

% time axis
tt = time(prior.Ttr+1:prior.S);

% plot h and g over time
hf = figure('Position',[100 100 800 300]);

subplot(1,2,1);
temp = exp(0.5*draws.h(:,1:end-prior.H));
toplot = [median(temp); quantile(temp,0.05); quantile(temp,0.95)];
hold on
fill([tt,fliplr(tt)], [toplot(2,:),fliplr(toplot(3,:))],[.85 .85 .85],'EdgeColor','none');
plot(tt,toplot(1,:),'LineWidth',1,'Color','blue');
hold off
xlim([1992 2016]); ylim([0 1.5])
title('$\exp(h_t/2)$','Interpreter','latex');

subplot(1,2,2);
temp = exp(0.5*draws.g(:,1:end-prior.H));
toplot = [median(temp); quantile(temp,0.05); quantile(temp,0.95)];
hold on
fill([tt,fliplr(tt)], [toplot(2,:),fliplr(toplot(3,:))],[.85 .85 .85],'EdgeColor','none');
plot(tt,toplot(1,:),'LineWidth',1,'Color','blue');
hold off
xlim([1992 2016]); ylim([0 0.35])
title('$\exp(f_t/2)$','Interpreter','latex');

saveTightFigure(hf,'fig4','pdf');
