% plot BF over time
clear all, close all

path = 'results/';
modid = 'mod4_sv'; disp(modid)
load([path modid '_rec'])
modname = modid;

lbfs = vertcat(drawsRall.lBF);
c = 9; toplot = [conv(lbfs(:,1),ones(1,c)/c,'same') conv(lbfs(:,2),ones(1,c)/c,'same') conv(lbfs(:,3),ones(1,c)/c,'same')]; nc = 0.5*(c-1); toplot([1:nc end-nc+1:end],:) = NaN;
tt = time(S);
% adjust the start and the end of the plot here...
h = figure;
hold on
plot(tt,toplot(:,1),':k')
plot(tt,toplot(:,2),'--k')
plot(tt,toplot(:,3),'-k','LineWidth',1.5)
line([tt(1)-1/8,tt(end)+1/8],[0 0],'Color','black','LineWidth',0.5)
line([tt(1)-1/8,tt(end)+1/8],[log(3) log(3)],'Color','black','LineWidth',0.5)
line([tt(1)-1/8,tt(end)+1/8],[log(20) log(20)],'Color','black','LineWidth',0.5)
text(2002,log(3)/2,'Not worth more than a bare mention')
text(2002,(log(3)+log(20))/2,'Positive')
text(2002,log(20)+0.7,'Strong')
hold off
legend({'$h_t,f_t$ vs fixed $h$','$h_t,f_t$ vs fixed $f$','$h_t,f_t$ vs fixed $h,f$'},'Location','NorthEast','Interpreter','latex')
axis tight
xlabel('vintage')
ylabel('log Bayes factor')
set(gca,'YTick',0:5)
%ylim([-0.5 5])
saveTightFigure(h,'fig6','pdf')

