% plot ag over time
clear all, close all

path = 'results/';
modid = 'mod4'; disp(modid)
load([path modid '_rec'])
modname = modid;

i_start = 1; % vintage at which we start evaluation, 1 (2002q3) or 19 (2007q1)
i_end = nsamples;
disp(['From vintage ' tq2datestr(time(S(i_start))) ' to vintage ' tq2datestr(time(S(i_end)))])

[ndraws,ng] = size(drawsRall(1).ag);
if ng
    ag_quantiles = nan(3,ng,nsamples);
    for i = 1:nsamples
        ag_quantiles(:,:,i) = quantile(drawsRall(i).ag,[0.5 0.05 0.95]);
    end
    tt = time(S);
    for i = 2
        toplot = permute(ag_quantiles(:,2,:),[1 3 2]);
        h = figure('Units','centimeters','Position',[23 5 13 10]);
        hold on
        fill([tt fliplr(tt)], [toplot(2,:) fliplr(toplot(3,:))], [0.8 0.8 1], 'EdgeColor', 'none')
        plot(tt, toplot(1,:), '-k', 'LineWidth', 1)
        hold off
        grid on
        xlim([tt(i_start)-1/8,tt(end)+1/8])
        ylim([-0.05 0.35])
        saveTightFigure(h,'fig7','pdf')
    end
end



