modids = {'mod4_rec','mod_y_RW','mod6c_rec','mod_y_IRW','mod7c_rec','mod_y_LLT'}; path = 'results/';
modnames = {'Model 4','Model 4 without \pi','Model 6','Model 6 without \pi','Model 7','Model 7 without \pi'};

load([path modids{1}])
ttstates = time(prior.Ttr+1:prior.S);
ittstates = 1:(prior.S-prior.Ttr);
mgaps = nan(length(ttstates),8);
mgaps(:,1) = quantile(draws.states(ittstates,prior.igt,:), 0.5, 3);
for modnr = 2:6
    load([path modids{modnr}]), disp(draws.lnmarglik)
    mgaps(:,modnr) = quantile(draws.states(ittstates,prior.igt,:), 0.5, 3);
end

set(0,'defaultlinelinewidth',1)
h = figure('Units','centimeters','Position',[5 3 20 17]);%,'renderer','painters');
hold on
plot(ttstates, mgaps(:,1), '-k', 'LineWidth',2)
plot(ttstates, mgaps(:,2), '-b', 'LineWidth',1)
plot(ttstates, mgaps(:,3), '-.k', 'LineWidth',2)
plot(ttstates, mgaps(:,4), '-.b', 'LineWidth',1)
plot(ttstates, mgaps(:,5), ':k', 'LineWidth',2)
plot(ttstates, mgaps(:,6), ':b', 'LineWidth',1)
plot(ttstates, zeros(length(ttstates),1), '-k', 'LineWidth',0.5)
hold off
grid on
legend_h = legend(modnames,'Location','South','Interpreter','tex');
set(gca,'Xlim',[fix(ttstates(1)) ceil(ttstates(end))])


saveTightFigure(h, 'fig8','pdf')
