clear all, close all
pct = 68;
if pct == 90, ql = 1; qu = 7; end
if pct == 80, ql = 2; qu = 6; end
if pct == 68, ql = 3; qu = 5; end

modids = {'mod1','mod2','mod3','mod4','mod5','mod6c','mod7c','mod8'}; path = 'results/';
%modids = {'mod1_sv','mod2_sv','mod3_sv','mod4_sv','mod5_sv','mod6c_sv','mod7c_sv','mod3_vpe_sv'}; path = 'results/';

for modnr = 1:8
    modid = modids{modnr};
    load([path modid '_rec'])
    modname = modid;
    
    [TpH, Q, nsamples] = size(OGR); % OGR is T+H x 7 x nsamples
    for s=1:nsamples % get rid of the forecasts
        k=sum(isnan(OGR(:,1,s)));
        OGR(end-k-prior.H+1-2:end,:,s) = NaN; % -2: -1 because the first state is in fact gt+1, and -1 because in t we don't know gdp, so look at t-1
        %OGF(end-k-H+1:end,:,s)=NaN;
    end
    OGR=OGR(1:end-prior.H-2,:,:);
 
    time = time()';
    tt = time(prior.Ttr+1+1:prior.Ttr+size(OGR,1)+1,:); % +1 because the first state is in fact gt+1
    final_lwr = squeeze(OGR(:,ql,end));
    final_upr = squeeze(OGR(:,qu,end));
    final_med = squeeze(OGR(:,4,end));
    envelope_lwr = min(squeeze(OGR(:,ql,:)), [], 2);
    envelope_upr = max(squeeze(OGR(:,qu,:)), [], 2);
    
    ttt = tt(end-size(OGR,3)+1:end);
    current_med = diag(squeeze(OGR(end-size(OGR,3)+1:end,4,:)));
    bcd = 'BCDEFGHIJ';
    %xlswrite('potout.xlsx', current_med, 'g real time', [bcd(str2num(modid(4))) '2']);
    
    % plot the envelope of output gap
    h = figure('Position',[300 300 350 200]);
    hold on
    fill([tt' flipud(tt)'], [final_lwr' flipud(final_upr)'], [0.6 0.6 1], 'EdgeColor', 'none')
    plot(tt, envelope_lwr, 'k-', 'LineWidth', 2)
    plot(tt, envelope_upr, 'k-', 'LineWidth', 2)
    plot(tt, zeros(size(tt)), '-k')
    hold off
    set(gca,'YLim',[-10 8]);
    set(gca,'Xlim',[fix(tt(1)) ceil(tt(end))])
    grid on
    %title(modname)
    saveTightFigure(h, ['fig9-' num2str(modnr)], 'pdf')
    
end

